<div class="d-flex justify-content-end">
  <a class="navegacion" routerLink="./registro">Nueva diversa normativa</a>
</div>
<div class="busqueda">
  <div class="head-busqueda">
    <p>Parámetros de búsqueda</p>
  </div>
  <form (ngSubmit)="construyeFiltro()">
  <div class="form-row p-3">
    <div class="col-6">
      <label for="">Tipo de instrumento:</label>
      <p-dropdown name="tipo" [options]="catalogo" filterBy="nombre" [filter]="true" optionLabel="nombre" optionValue="nombre" styleClass="w-100"
        placeholder="Seleccione el tipo de instrumento" [(ngModel)]="busqueda.tipoInstrumento"
        [styleClass]="requerid.tipoInstrumento ? 'invalid w-100' : 'w-100'" showClear="true"></p-dropdown>
    </div>
    <div class="col-6 relative">
      <label for="">Número:</label>
      <input type="text" name="numero" class="form-control" placeholder="Ingrese el número" [(ngModel)]="busqueda.numero"
        [ngClass]="{'invalid': requerid.numero }">
        <i *ngIf="busqueda.numero" class="pi pi-times clear-autocomplete" (click)="busqueda.numero = ''"></i>
    </div>
    <div class="col-12">
      <div class="d-flex justify-content-end align-items-center">
        <div class="mr-auto d-flex align-items-center" *ngIf="viewSearch">
          <p class="mb-0">Se encontraron {{normativaAllMod.totalElements}} resultado(s)</p>
          <button style="transform: scale(.8);" class="btn btn-success ml-1 d-flex" type="button" (click)="restauraTabla()">
            <i class="material-icons" pTooltip="Da clic para eliminar los filtros" tooltipPosition="left">restart_alt</i>
          </button>
        </div>
        <div class="mr-auto d-flex align-items-center" *ngIf="!viewSearch">
          <span *ngIf="normativaAllMod.content.length == 0">0 resultados</span>
          <p class="mb-0" *ngIf="normativaAllMod.content.length > 0">
            {{(normativaAllMod.number*normativaAllMod.size)+1}} a {{calculateSizePage()}} de {{normativaAllMod.totalElements}} resultado(s)
          </p>
        </div>
        <p-button type="submit" label="Buscar" icon="pi pi-search" styleClass="p-button-sm"></p-button>
      </div>
    </div>
  </div>
</form>
</div>
<div class="d-flex justify-content-end align-items-center pb-3">
  <div class="p-1">

  </div>
  <div class="d-flex justify-content-center align-items-center">
    <span class="mr-2">Mostrar: </span>
    <p-dropdown [options]="[{size:10},{size:20},{size:30},{size:50},{size:100}]" optionLabel="size" optionValue="size" [(ngModel)]="normativaAllMod.size"
      (onChange)="onChangeSize($event)"></p-dropdown>
  </div>

</div>
<p-table [value]="normativas" [scrollable]="true" scrollHeight="400px" scrollDirection="both">
  <ng-template pTemplate="header">
    <tr>
      <th style="width:200px">Tipo de instrumento</th>
      <th style="width:200px">Número</th>
      <th style="width:200px">Ámbito de incidente</th>
      <th style="width:200px">Ministro presidente</th>
      <th style="width:200px">Captura %</th>
      <th style="width:150px"></th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-normativa>
    <tr>
      <td style="width:200px">
        <p class="short-text text-center" [title]="">{{normativa.tipoInstrumento?normativa.tipoInstrumento:"---"}}</p>
      </td>
      <td style="width:200px;" class="text-center">{{normativa.numero?normativa.numero:"---"}}</td>
      <td style="width:200px" class="text-center">
        <div>
          <p>{{normativa.ambitoIncide?normativa.ambitoIncide:"---"}}</p>
        </div>
      </td>
      <td style="width:200px" class="text-center">{{normativa.ministroPresidente?normativa.ministroPresidente:"---"}}</td>
      <td style="width:200px" class="text-center px-5">
        <div>
          {{ normativa.porcentaje }}%
        </div>
        <div class="percent" [style.width]="normativa.porcentaje+'%'" [ngClass]="{
          'incomplet': normativa.porcentaje >= 51 && normativa.porcentaje <= 79,
          'complet': normativa.porcentaje >= 80 && normativa.porcentaje <= 100,
          'insuficient': normativa.porcentaje >= 0 && normativa.porcentaje <= 50
        }"></div>
      </td>    
      <td style="width:150px">
        <div class="d-flex align-items-center justify-content-center" style="gap: 10px">
          <i class="pi pi-trash" (click)="confirm($event,normativa)" pTooltip="Da clic para eliminar el registro capturado"
            tooltipPosition="left"></i>
          <a [routerLink]="['edicion',normativa.id]"><i class="pi pi-pencil"
              pTooltip="Da clic para editar la información del registro capturado" tooltipPosition="left"></i>
          </a>
          <a [routerLink]="['edicion',normativa.id]" [queryParams]="{visualizar: true}">
            <i class="pi pi-eye"></i>
        </a>
        </div>
      </td>
    </tr>
  </ng-template>
</p-table>
<div class="d-flex justify-content-center align-items-center">
  <ngb-pagination [collectionSize]="totalRegistros" [page]="normativaAllMod.number + 1" [pageSize]="normativaAllMod.size" [boundaryLinks]="true"
    (pageChange)="realizaBusqueda($event,normativaAllMod.size,filtrado)" [maxSize]="totalPages"></ngb-pagination>
</div>
<p-confirmPopup></p-confirmPopup>
<p-toast position="bottom-right" key="ks"></p-toast>
